#ifndef HIYOKO_HPP
#define HIYOKO_HPP

#include "Enemy.hpp"

class Hiyoko : public Enemy
{
public:
	enum
	{
		TYPE_1 = 0,
		TYPE_2
	};
	Hiyoko(void);
	~Hiyoko(void);
	void Update(void);
	void Draw(void);
	void SetType(int type);
private:
	int type;
	Hiyoko(Hiyoko&);
	Hiyoko& operator = (Hiyoko&);
};

#endif
